ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/OpenMD/branches/development/configure
(Generate patch)

Comparing trunk/configure (file contents):
Revision 863 by gezelter, Fri Jan 13 15:48:46 2006 UTC vs.
Revision 1137 by chuckv, Tue May 29 22:50:14 2007 UTC

# Line 312 | Line 312 | ac_includes_default="\
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug USE_SINGLE_PRECISION CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES ZLIB_INC_DIR ZLIB_LIB_DIR ZLIB FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 871 | Line 871 | Optional Features:
871    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
872    --enable-oopse-home=DIR      define oopse home dir PREFIX/oopse
873    --enable-debug          Compile OOPSE in debug mode
874 +  --enable-single         compile OOPSE in single precision
875 +  --enable-float          synonym for --enable-single
876    --enable-doxygen        enable documentation generation with doxygen (auto)
877    --enable-dot            use 'dot' to generate graphs in doxygen (auto)
878    --enable-html-docs      enable HTML generation with doxygen (yes)
# Line 881 | Line 883 | Optional Packages:
883    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
884    --with-perl-shebang     override what perl thinks is the way for the kernel
885                            to start it (seldom needed)
886 <  --with-zlib=DIR root directory path of zlib installation defaults to
887 <                    /usr/local or /usr if not found in /usr/local
888 <  --without-zlib to disable zlib usage completely
886 >  --with-zlib=DIR         root directory path of zlib installation (defaults
887 >                          to /usr/local or /usr if not found in /usr/local)
888 >  --with-fftw=DIR         root directory path of fftw installation (defaults
889 >                          to /usr/local or /usr if not found in /usr/local)
890    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
888  --with-cgal-makefile=FILE  CGAL makefile that should be used
891  
892   Some influential environment variables:
893    CXX         C++ compiler command
# Line 1419 | Line 1421 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1421  
1422  
1423  
1424 +
1425 +
1426   #
1427   #
1428   #
1429  
1430  
1431 +
1432 +
1433 +
1434 +
1435   # AC_F90_MODULE_NAMES
1436   # -------------------
1437   #
1438   # Figure out how the Fortran 90 compiler constructs module file names
1439   #
1440   # AC_F90_MODULE_NAMES
1441 +
1442 +
1443 +
1444 +
1445 +
1446 +
1447 +
1448 +
1449 +
1450 +
1451 +
1452 +
1453 +
1454 +
1455 +
1456 +
1457 +
1458 +
1459 +
1460 +
1461 +
1462 +
1463 +
1464 +
1465 +
1466 +
1467 +
1468 +
1469 +
1470 +
1471 +
1472 +
1473  
1474  
1475  
# Line 1466 | Line 1506 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1506  
1507  
1508  
1509 +
1510 +
1511 +
1512 +
1513 +
1514 +
1515 +
1516 +
1517 +
1518 +
1519 +
1520 +
1521 +
1522 +
1523 +
1524 +
1525 +
1526 +
1527 +
1528 +
1529   # who am i
1530   # Make sure we can run config.sub.
1531   $ac_config_sub sun4 >/dev/null 2>&1 ||
# Line 1563 | Line 1623 | fi
1623  
1624    msg="$msg, debug mode"
1625   fi
1626 +
1627 +
1628 + # Check whether --enable-single or --disable-single was given.
1629 + if test "${enable_single+set}" = set; then
1630 +  enableval="$enable_single"
1631 +  ok=$enableval
1632 + else
1633 +  ok=no
1634 + fi;
1635 + # Check whether --enable-float or --disable-float was given.
1636 + if test "${enable_float+set}" = set; then
1637 +  enableval="$enable_float"
1638 +  ok=$enableval
1639 + fi;
1640 + if test "$ok" = "yes"; then
1641  
1642 + cat >>confdefs.h <<\_ACEOF
1643 + #define SINGLE_PRECISION 1
1644 + _ACEOF
1645  
1646 +        USE_SINGLE_PRECISION=yes
1647 +
1648 + fi
1649 +
1650   # Checks for programs.
1651   ac_ext=cc
1652   ac_cpp='$CXXCPP $CPPFLAGS'
# Line 1572 | Line 1654 | if test -n "$ac_tool_prefix"; then
1654   ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1655   ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
1656   if test -n "$ac_tool_prefix"; then
1657 <  for ac_prog in $CCC icpc icc pgCC pathCC c++ xlc++ xlC g++ CC
1657 >  for ac_prog in $CCC mpicxx icpc pathCC pgCC c++ xlc++ xlC g++ CC
1658    do
1659      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
1660   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 1614 | Line 1696 | if test -z "$CXX"; then
1696   fi
1697   if test -z "$CXX"; then
1698    ac_ct_CXX=$CXX
1699 <  for ac_prog in $CCC icpc icc pgCC pathCC c++ xlc++ xlC g++ CC
1699 >  for ac_prog in $CCC mpicxx icpc pathCC pgCC c++ xlc++ xlC g++ CC
1700   do
1701    # Extract the first word of "$ac_prog", so it can be a program name with args.
1702   set dummy $ac_prog; ac_word=$2
# Line 2128 | Line 2210 | if test -n "$ac_tool_prefix"; then
2210   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2211   ac_compiler_gnu=$ac_cv_c_compiler_gnu
2212   if test -n "$ac_tool_prefix"; then
2213 <  for ac_prog in icc pgcc pathcc cc xlc gcc
2213 >  for ac_prog in mpicc icc pathcc pgcc cc xlc gcc
2214    do
2215      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2216   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 2170 | Line 2252 | if test -z "$CC"; then
2252   fi
2253   if test -z "$CC"; then
2254    ac_ct_CC=$CC
2255 <  for ac_prog in icc pgcc pathcc cc xlc gcc
2255 >  for ac_prog in mpicc icc pathcc pgcc cc xlc gcc
2256   do
2257    # Extract the first word of "$ac_prog", so it can be a program name with args.
2258   set dummy $ac_prog; ac_word=$2
# Line 2639 | Line 2721 | if test -n "$ac_tool_prefix"; then
2721   ac_link='$FC -o conftest$ac_exeext $FCFLAGS $LDFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext $LIBS >&5'
2722   ac_compiler_gnu=$ac_cv_fc_compiler_gnu
2723   if test -n "$ac_tool_prefix"; then
2724 <  for ac_prog in ifort ifc pgf95 pathf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2724 >  for ac_prog in mpif90 ifort ifc pathf95 pgf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2725    do
2726      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2727   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 2681 | Line 2763 | if test -z "$FC"; then
2763   fi
2764   if test -z "$FC"; then
2765    ac_ct_FC=$FC
2766 <  for ac_prog in ifort ifc pgf95 pathf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2766 >  for ac_prog in mpif90 ifort ifc pathf95 pgf95 xlf95 lf95 epcf90 pathf90 xlf90 f95 f90 gfortran g95 fort
2767   do
2768    # Extract the first word of "$ac_prog", so it can be a program name with args.
2769   set dummy $ac_prog; ac_word=$2
# Line 2726 | Line 2808 | fi
2808  
2809  
2810   # Provide some information about the compiler.
2811 < echo "$as_me:2729:" \
2811 > echo "$as_me:2811:" \
2812       "checking for Fortran compiler version" >&5
2813   ac_compiler=`set X $ac_compile; echo $2`
2814   { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 3478 | Line 3560 | if test "$AR" = "NONE"; then
3560   fi
3561  
3562   if test "$AR" = "NONE"; then
3481  { { echo "$as_me:$LINENO: error: --> Can't find \`ar'!" >&5
3482 echo "$as_me: error: --> Can't find \`ar'!" >&2;}
3483   { (exit 1); exit 1; }; }
3563    cat >confcache <<\_ACEOF
3564   # This file is a shell script that caches the results of configure
3565   # tests run on this system so they can be shared between configure
# Line 3977 | Line 4056 | FCFLAGS="$FCFLAGS $ac_verb"
4056   # flags.
4057   ac_save_FFLAGS=$FCFLAGS
4058   FCFLAGS="$FCFLAGS $ac_verb"
4059 < (eval echo $as_me:3980: \"$ac_link\") >&5
4059 > (eval echo $as_me:4059: \"$ac_link\") >&5
4060   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4061   echo "$ac_fc_v_output" >&5
4062   FCFLAGS=$ac_save_FFLAGS
# Line 4055 | Line 4134 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4134   # flags.
4135   ac_save_FFLAGS=$FCFLAGS
4136   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4137 < (eval echo $as_me:4058: \"$ac_link\") >&5
4137 > (eval echo $as_me:4137: \"$ac_link\") >&5
4138   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4139   echo "$ac_fc_v_output" >&5
4140   FCFLAGS=$ac_save_FFLAGS
# Line 4791 | Line 4870 | FCFLAGS="$FCFLAGS $ac_verb"
4870   # flags.
4871   ac_save_FFLAGS=$FCFLAGS
4872   FCFLAGS="$FCFLAGS $ac_verb"
4873 < (eval echo $as_me:4794: \"$ac_link\") >&5
4873 > (eval echo $as_me:4873: \"$ac_link\") >&5
4874   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4875   echo "$ac_fc_v_output" >&5
4876   FCFLAGS=$ac_save_FFLAGS
# Line 4869 | Line 4948 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4948   # flags.
4949   ac_save_FFLAGS=$FCFLAGS
4950   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4951 < (eval echo $as_me:4872: \"$ac_link\") >&5
4951 > (eval echo $as_me:4951: \"$ac_link\") >&5
4952   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4953   echo "$ac_fc_v_output" >&5
4954   FCFLAGS=$ac_save_FFLAGS
# Line 5746 | Line 5825 | done
5825   #
5826   # Handle user hints
5827   #
5749 echo "$as_me:$LINENO: checking if zlib is wanted" >&5
5750 echo $ECHO_N "checking if zlib is wanted... $ECHO_C" >&6
5828  
5829   # Check whether --with-zlib or --without-zlib was given.
5830   if test "${with_zlib+set}" = set; then
5831    withval="$with_zlib"
5832 <  if test "$withval" != no ; then
5833 <  echo "$as_me:$LINENO: result: yes" >&5
5834 < echo "${ECHO_T}yes" >&6
5835 <  if test -d "$withval"
5832 >  zlib_dir="$withval"
5833 > else
5834 >                zlib_dir="not_set"
5835 > fi;
5836 > if test "$zlib_dir" != "no"; then
5837 >
5838 > if test "$zlib_dir" != "not_set" ; then
5839 >  if test -d "$zlib_dir"
5840    then
5841 <    ZLIB_HOME="$withval"
5841 >    ZLIB_HOME="$zlib_dir"
5842    else
5843 <    { echo "$as_me:$LINENO: WARNING: Sorry, $withval does not exist, checking usual places" >&5
5844 < echo "$as_me: WARNING: Sorry, $withval does not exist, checking usual places" >&2;}
5843 >    { echo "$as_me:$LINENO: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&5
5844 > echo "$as_me: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&2;}
5845    fi
5765 else
5766  echo "$as_me:$LINENO: result: no" >&5
5767 echo "${ECHO_T}no" >&6
5846   fi
5769 fi;
5847  
5848   ZLIB_HOME=/usr/local
5849   if test ! -f "${ZLIB_HOME}/include/zlib.h"
# Line 6019 | Line 6096 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
6096   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6097   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6098  
6022        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"
6023        then
6024                #
6025                # If both library and header were found, use them
6026                #
6099  
6100 < echo "$as_me:$LINENO: checking for inflateEnd in -lz" >&5
6101 < echo $ECHO_N "checking for inflateEnd in -lz... $ECHO_C" >&6
6102 < if test "${ac_cv_lib_z_inflateEnd+set}" = set; then
6100 >        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"; then
6101 >
6102 > cat >>confdefs.h <<\_ACEOF
6103 > #define HAVE_ZLIB_H 1
6104 > _ACEOF
6105 >
6106 >
6107 > cat >>confdefs.h <<\_ACEOF
6108 > #define HAVE_LIBZ 1
6109 > _ACEOF
6110 >
6111 >                ZLIB_INC_DIR="${ZLIB_HOME}/include"
6112 >                ZLIB_LIB_DIR="${ZLIB_HOME}/lib"
6113 >                ZLIB="-lz"
6114 >        else
6115 >                echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6116 > echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6117 >                ZLIB_INC_DIR=
6118 >                ZLIB_LIB_DIR=
6119 >                ZLIB=
6120 >                LDFLAGS="$ZLIB_OLD_LDFLAGS"
6121 >                CPPFLAGS="$ZLIB_OLD_CPPFLAGS"
6122 >                echo "$as_me:$LINENO: result: failed" >&5
6123 > echo "${ECHO_T}failed" >&6
6124 >                echo ""
6125 >                echo "*********************************************************"
6126 >                echo "* WARNING: Could not find a working zlib installation   *"
6127 >                echo "* If you need OOPSE to be able to deal with compressed  *"
6128 >                echo "* trajectory dump files be sure to specify a valid zlib *"
6129 >                echo "* installation with --with-zlib=DIR                     *"
6130 >                echo "*                                                       *"
6131 >                echo "* OOPSE will still work without zlib installed.         *"
6132 >                echo "*********************************************************"
6133 >                echo ""
6134 >        fi
6135 >
6136 >
6137 >
6138 > fi
6139 > fi
6140 >
6141 > #
6142 > # Handle user hints
6143 > #
6144 >
6145 > # Check whether --with-fftw or --without-fftw was given.
6146 > if test "${with_fftw+set}" = set; then
6147 >  withval="$with_fftw"
6148 >  fftw_dir="$withval"
6149 > else
6150 >             fftw_dir="not_set"
6151 > fi;
6152 > if test "$fftw_dir" != "no"; then
6153 >  if test "$fftw_dir" != "not_set" ; then
6154 >    if test -d "$fftw_dir"; then
6155 >      FFTW_HOME="$fftw_dir"
6156 >    else
6157 >      { echo "$as_me:$LINENO: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&5
6158 > echo "$as_me: WARNING: Sorry, $fftw_dir does not exist, checking usual places" >&2;}
6159 >      FFTW_HOME=/usr/local
6160 >      if test ! -f "${FFTW_HOME}/include/fftw3.h" -o -f "${FFTW_HOME}/include/fftw.h" -o  -f "${FFTW_HOME}/include/dfftw.h"; then
6161 >        FFTW_HOME=/usr
6162 >      fi
6163 >    fi
6164 >    #
6165 >    # Locate fftw, if wanted
6166 >    #
6167 >    if test -n "${FFTW_HOME}"; then
6168 >      FFTW_OLD_LDFLAGS=$LDFLAGS
6169 >      FFTW_OLD_CPPFLAGS=$LDFLAGS
6170 >      LDFLAGS="$LDFLAGS -L${FFTW_HOME}/lib"
6171 >      CPPFLAGS="$CPPFLAGS -I${FFTW_HOME}/include"
6172 >
6173 >
6174 >      ac_ext=c
6175 > ac_cpp='$CPP $CPPFLAGS'
6176 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6177 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6178 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6179 >
6180 >      echo "$as_me:$LINENO: checking for fftw_execute in -lfftw3" >&5
6181 > echo $ECHO_N "checking for fftw_execute in -lfftw3... $ECHO_C" >&6
6182 > if test "${ac_cv_lib_fftw3_fftw_execute+set}" = set; then
6183    echo $ECHO_N "(cached) $ECHO_C" >&6
6184   else
6185    ac_check_lib_save_LIBS=$LIBS
6186 < LIBS="-lz  $LIBS"
6186 > LIBS="-lfftw3  $LIBS"
6187   cat >conftest.$ac_ext <<_ACEOF
6188   /* confdefs.h.  */
6189   _ACEOF
# Line 6045 | Line 6197 | extern "C"
6197   #endif
6198   /* We use char because int might match the return type of a gcc2
6199     builtin and then its argument prototype would still apply.  */
6200 < char inflateEnd ();
6200 > char fftw_execute ();
6201   #ifdef FC_DUMMY_MAIN
6202   #ifndef FC_DUMMY_MAIN_EQ_F77
6203   #  ifdef __cplusplus
# Line 6057 | Line 6209 | main ()
6209   int
6210   main ()
6211   {
6212 < inflateEnd ();
6212 > fftw_execute ();
6213    ;
6214    return 0;
6215   }
# Line 6084 | Line 6236 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6236    ac_status=$?
6237    echo "$as_me:$LINENO: \$? = $ac_status" >&5
6238    (exit $ac_status); }; }; then
6239 <  ac_cv_lib_z_inflateEnd=yes
6239 >  ac_cv_lib_fftw3_fftw_execute=yes
6240   else
6241    echo "$as_me: failed program was:" >&5
6242   sed 's/^/| /' conftest.$ac_ext >&5
6243  
6244 < ac_cv_lib_z_inflateEnd=no
6244 > ac_cv_lib_fftw3_fftw_execute=no
6245   fi
6246   rm -f conftest.err conftest.$ac_objext \
6247        conftest$ac_exeext conftest.$ac_ext
6248   LIBS=$ac_check_lib_save_LIBS
6249   fi
6250 < echo "$as_me:$LINENO: result: $ac_cv_lib_z_inflateEnd" >&5
6251 < echo "${ECHO_T}$ac_cv_lib_z_inflateEnd" >&6
6252 < if test $ac_cv_lib_z_inflateEnd = yes; then
6253 <  cat >>confdefs.h <<_ACEOF
6254 < #define HAVE_LIBZ 1
6250 > echo "$as_me:$LINENO: result: $ac_cv_lib_fftw3_fftw_execute" >&5
6251 > echo "${ECHO_T}$ac_cv_lib_fftw3_fftw_execute" >&6
6252 > if test $ac_cv_lib_fftw3_fftw_execute = yes; then
6253 >  fftw_cv_libfftw3=yes
6254 > else
6255 >  fftw_cv_libfftw3=no
6256 > fi
6257 >
6258 >      if test "${ac_cv_header_fftw3_h+set}" = set; then
6259 >  echo "$as_me:$LINENO: checking for fftw3.h" >&5
6260 > echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6261 > if test "${ac_cv_header_fftw3_h+set}" = set; then
6262 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6263 > fi
6264 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
6265 > echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6
6266 > else
6267 >  # Is the header compilable?
6268 > echo "$as_me:$LINENO: checking fftw3.h usability" >&5
6269 > echo $ECHO_N "checking fftw3.h usability... $ECHO_C" >&6
6270 > cat >conftest.$ac_ext <<_ACEOF
6271 > /* confdefs.h.  */
6272   _ACEOF
6273 + cat confdefs.h >>conftest.$ac_ext
6274 + cat >>conftest.$ac_ext <<_ACEOF
6275 + /* end confdefs.h.  */
6276 + $ac_includes_default
6277 + #include <fftw3.h>
6278 + _ACEOF
6279 + rm -f conftest.$ac_objext
6280 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6281 +  (eval $ac_compile) 2>conftest.er1
6282 +  ac_status=$?
6283 +  grep -v '^ *+' conftest.er1 >conftest.err
6284 +  rm -f conftest.er1
6285 +  cat conftest.err >&5
6286 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6287 +  (exit $ac_status); } &&
6288 +         { ac_try='test -z "$ac_c_werror_flag"
6289 +                         || test ! -s conftest.err'
6290 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6291 +  (eval $ac_try) 2>&5
6292 +  ac_status=$?
6293 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6294 +  (exit $ac_status); }; } &&
6295 +         { ac_try='test -s conftest.$ac_objext'
6296 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6297 +  (eval $ac_try) 2>&5
6298 +  ac_status=$?
6299 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6300 +  (exit $ac_status); }; }; then
6301 +  ac_header_compiler=yes
6302 + else
6303 +  echo "$as_me: failed program was:" >&5
6304 + sed 's/^/| /' conftest.$ac_ext >&5
6305  
6306 <  LIBS="-lz $LIBS"
6306 > ac_header_compiler=no
6307 > fi
6308 > rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6309 > echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6310 > echo "${ECHO_T}$ac_header_compiler" >&6
6311  
6312 + # Is the header present?
6313 + echo "$as_me:$LINENO: checking fftw3.h presence" >&5
6314 + echo $ECHO_N "checking fftw3.h presence... $ECHO_C" >&6
6315 + cat >conftest.$ac_ext <<_ACEOF
6316 + /* confdefs.h.  */
6317 + _ACEOF
6318 + cat confdefs.h >>conftest.$ac_ext
6319 + cat >>conftest.$ac_ext <<_ACEOF
6320 + /* end confdefs.h.  */
6321 + #include <fftw3.h>
6322 + _ACEOF
6323 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6324 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6325 +  ac_status=$?
6326 +  grep -v '^ *+' conftest.er1 >conftest.err
6327 +  rm -f conftest.er1
6328 +  cat conftest.err >&5
6329 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6330 +  (exit $ac_status); } >/dev/null; then
6331 +  if test -s conftest.err; then
6332 +    ac_cpp_err=$ac_c_preproc_warn_flag
6333 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6334 +  else
6335 +    ac_cpp_err=
6336 +  fi
6337 + else
6338 +  ac_cpp_err=yes
6339   fi
6340 + if test -z "$ac_cpp_err"; then
6341 +  ac_header_preproc=yes
6342 + else
6343 +  echo "$as_me: failed program was:" >&5
6344 + sed 's/^/| /' conftest.$ac_ext >&5
6345  
6346 <                echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6347 < echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6348 <                echo "$as_me:$LINENO: result: ok" >&5
6349 < echo "${ECHO_T}ok" >&6
6350 <        else
6351 <                #
6352 <                # If either header or library was not found, revert and bomb
6353 <                #
6354 <                echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6355 < echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6356 <                LDFLAGS="$ZLIB_OLD_LDFLAGS"
6357 <                CPPFLAGS="$ZLIB_OLD_CPPFLAGS"
6358 <                echo "$as_me:$LINENO: result: failed" >&5
6359 < echo "${ECHO_T}failed" >&6
6360 <                { { echo "$as_me:$LINENO: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&5
6361 < echo "$as_me: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&2;}
6362 <   { (exit 1); exit 1; }; }
6346 >  ac_header_preproc=no
6347 > fi
6348 > rm -f conftest.err conftest.$ac_ext
6349 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6350 > echo "${ECHO_T}$ac_header_preproc" >&6
6351 >
6352 > # So?  What about this header?
6353 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6354 >  yes:no: )
6355 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&5
6356 > echo "$as_me: WARNING: fftw3.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6357 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the compiler's result" >&5
6358 > echo "$as_me: WARNING: fftw3.h: proceeding with the compiler's result" >&2;}
6359 >    ac_header_preproc=yes
6360 >    ;;
6361 >  no:yes:* )
6362 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: present but cannot be compiled" >&5
6363 > echo "$as_me: WARNING: fftw3.h: present but cannot be compiled" >&2;}
6364 >    { echo "$as_me:$LINENO: WARNING: fftw3.h:     check for missing prerequisite headers?" >&5
6365 > echo "$as_me: WARNING: fftw3.h:     check for missing prerequisite headers?" >&2;}
6366 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: see the Autoconf documentation" >&5
6367 > echo "$as_me: WARNING: fftw3.h: see the Autoconf documentation" >&2;}
6368 >    { echo "$as_me:$LINENO: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&5
6369 > echo "$as_me: WARNING: fftw3.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6370 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: proceeding with the preprocessor's result" >&5
6371 > echo "$as_me: WARNING: fftw3.h: proceeding with the preprocessor's result" >&2;}
6372 >    { echo "$as_me:$LINENO: WARNING: fftw3.h: in the future, the compiler will take precedence" >&5
6373 > echo "$as_me: WARNING: fftw3.h: in the future, the compiler will take precedence" >&2;}
6374 >    (
6375 >      cat <<\_ASBOX
6376 > ## ------------------------------ ##
6377 > ## Report this to gezelter@nd.edu ##
6378 > ## ------------------------------ ##
6379 > _ASBOX
6380 >    ) |
6381 >      sed "s/^/$as_me: WARNING:     /" >&2
6382 >    ;;
6383 > esac
6384 > echo "$as_me:$LINENO: checking for fftw3.h" >&5
6385 > echo $ECHO_N "checking for fftw3.h... $ECHO_C" >&6
6386 > if test "${ac_cv_header_fftw3_h+set}" = set; then
6387 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6388 > else
6389 >  ac_cv_header_fftw3_h=$ac_header_preproc
6390 > fi
6391 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw3_h" >&5
6392 > echo "${ECHO_T}$ac_cv_header_fftw3_h" >&6
6393 >
6394 > fi
6395 > if test $ac_cv_header_fftw3_h = yes; then
6396 >  fftw_cv_fftw3_h=yes
6397 > else
6398 >  fftw_cv_fftw3_h=no
6399 > fi
6400 >
6401 >
6402 >      if test "$fftw_cv_libfftw3" = "no" -o "$fftw_cv_fftw3_h" = "no"; then
6403 >        echo "$as_me:$LINENO: checking for fftwnd_one in -lfftw" >&5
6404 > echo $ECHO_N "checking for fftwnd_one in -lfftw... $ECHO_C" >&6
6405 > if test "${ac_cv_lib_fftw_fftwnd_one+set}" = set; then
6406 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6407 > else
6408 >  ac_check_lib_save_LIBS=$LIBS
6409 > LIBS="-lfftw  $LIBS"
6410 > cat >conftest.$ac_ext <<_ACEOF
6411 > /* confdefs.h.  */
6412 > _ACEOF
6413 > cat confdefs.h >>conftest.$ac_ext
6414 > cat >>conftest.$ac_ext <<_ACEOF
6415 > /* end confdefs.h.  */
6416 >
6417 > /* Override any gcc2 internal prototype to avoid an error.  */
6418 > #ifdef __cplusplus
6419 > extern "C"
6420 > #endif
6421 > /* We use char because int might match the return type of a gcc2
6422 >   builtin and then its argument prototype would still apply.  */
6423 > char fftwnd_one ();
6424 > #ifdef FC_DUMMY_MAIN
6425 > #ifndef FC_DUMMY_MAIN_EQ_F77
6426 > #  ifdef __cplusplus
6427 >     extern "C"
6428 > #  endif
6429 >   int FC_DUMMY_MAIN() { return 1; }
6430 > #endif
6431 > #endif
6432 > int
6433 > main ()
6434 > {
6435 > fftwnd_one ();
6436 >  ;
6437 >  return 0;
6438 > }
6439 > _ACEOF
6440 > rm -f conftest.$ac_objext conftest$ac_exeext
6441 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6442 >  (eval $ac_link) 2>conftest.er1
6443 >  ac_status=$?
6444 >  grep -v '^ *+' conftest.er1 >conftest.err
6445 >  rm -f conftest.er1
6446 >  cat conftest.err >&5
6447 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6448 >  (exit $ac_status); } &&
6449 >         { ac_try='test -z "$ac_c_werror_flag"
6450 >                         || test ! -s conftest.err'
6451 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6452 >  (eval $ac_try) 2>&5
6453 >  ac_status=$?
6454 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6455 >  (exit $ac_status); }; } &&
6456 >         { ac_try='test -s conftest$ac_exeext'
6457 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6458 >  (eval $ac_try) 2>&5
6459 >  ac_status=$?
6460 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6461 >  (exit $ac_status); }; }; then
6462 >  ac_cv_lib_fftw_fftwnd_one=yes
6463 > else
6464 >  echo "$as_me: failed program was:" >&5
6465 > sed 's/^/| /' conftest.$ac_ext >&5
6466 >
6467 > ac_cv_lib_fftw_fftwnd_one=no
6468 > fi
6469 > rm -f conftest.err conftest.$ac_objext \
6470 >      conftest$ac_exeext conftest.$ac_ext
6471 > LIBS=$ac_check_lib_save_LIBS
6472 > fi
6473 > echo "$as_me:$LINENO: result: $ac_cv_lib_fftw_fftwnd_one" >&5
6474 > echo "${ECHO_T}$ac_cv_lib_fftw_fftwnd_one" >&6
6475 > if test $ac_cv_lib_fftw_fftwnd_one = yes; then
6476 >  fftw_cv_libfftw=yes
6477 > else
6478 >  fftw_cv_libfftw=no
6479 > fi
6480 >
6481 >        if test "${ac_cv_header_fftw_h+set}" = set; then
6482 >  echo "$as_me:$LINENO: checking for fftw.h" >&5
6483 > echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6484 > if test "${ac_cv_header_fftw_h+set}" = set; then
6485 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6486 > fi
6487 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw_h" >&5
6488 > echo "${ECHO_T}$ac_cv_header_fftw_h" >&6
6489 > else
6490 >  # Is the header compilable?
6491 > echo "$as_me:$LINENO: checking fftw.h usability" >&5
6492 > echo $ECHO_N "checking fftw.h usability... $ECHO_C" >&6
6493 > cat >conftest.$ac_ext <<_ACEOF
6494 > /* confdefs.h.  */
6495 > _ACEOF
6496 > cat confdefs.h >>conftest.$ac_ext
6497 > cat >>conftest.$ac_ext <<_ACEOF
6498 > /* end confdefs.h.  */
6499 > $ac_includes_default
6500 > #include <fftw.h>
6501 > _ACEOF
6502 > rm -f conftest.$ac_objext
6503 > if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6504 >  (eval $ac_compile) 2>conftest.er1
6505 >  ac_status=$?
6506 >  grep -v '^ *+' conftest.er1 >conftest.err
6507 >  rm -f conftest.er1
6508 >  cat conftest.err >&5
6509 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6510 >  (exit $ac_status); } &&
6511 >         { ac_try='test -z "$ac_c_werror_flag"
6512 >                         || test ! -s conftest.err'
6513 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6514 >  (eval $ac_try) 2>&5
6515 >  ac_status=$?
6516 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6517 >  (exit $ac_status); }; } &&
6518 >         { ac_try='test -s conftest.$ac_objext'
6519 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6520 >  (eval $ac_try) 2>&5
6521 >  ac_status=$?
6522 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6523 >  (exit $ac_status); }; }; then
6524 >  ac_header_compiler=yes
6525 > else
6526 >  echo "$as_me: failed program was:" >&5
6527 > sed 's/^/| /' conftest.$ac_ext >&5
6528 >
6529 > ac_header_compiler=no
6530 > fi
6531 > rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6532 > echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6533 > echo "${ECHO_T}$ac_header_compiler" >&6
6534 >
6535 > # Is the header present?
6536 > echo "$as_me:$LINENO: checking fftw.h presence" >&5
6537 > echo $ECHO_N "checking fftw.h presence... $ECHO_C" >&6
6538 > cat >conftest.$ac_ext <<_ACEOF
6539 > /* confdefs.h.  */
6540 > _ACEOF
6541 > cat confdefs.h >>conftest.$ac_ext
6542 > cat >>conftest.$ac_ext <<_ACEOF
6543 > /* end confdefs.h.  */
6544 > #include <fftw.h>
6545 > _ACEOF
6546 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6547 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6548 >  ac_status=$?
6549 >  grep -v '^ *+' conftest.er1 >conftest.err
6550 >  rm -f conftest.er1
6551 >  cat conftest.err >&5
6552 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6553 >  (exit $ac_status); } >/dev/null; then
6554 >  if test -s conftest.err; then
6555 >    ac_cpp_err=$ac_c_preproc_warn_flag
6556 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6557 >  else
6558 >    ac_cpp_err=
6559 >  fi
6560 > else
6561 >  ac_cpp_err=yes
6562 > fi
6563 > if test -z "$ac_cpp_err"; then
6564 >  ac_header_preproc=yes
6565 > else
6566 >  echo "$as_me: failed program was:" >&5
6567 > sed 's/^/| /' conftest.$ac_ext >&5
6568 >
6569 >  ac_header_preproc=no
6570 > fi
6571 > rm -f conftest.err conftest.$ac_ext
6572 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6573 > echo "${ECHO_T}$ac_header_preproc" >&6
6574 >
6575 > # So?  What about this header?
6576 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6577 >  yes:no: )
6578 >    { echo "$as_me:$LINENO: WARNING: fftw.h: accepted by the compiler, rejected by the preprocessor!" >&5
6579 > echo "$as_me: WARNING: fftw.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6580 >    { echo "$as_me:$LINENO: WARNING: fftw.h: proceeding with the compiler's result" >&5
6581 > echo "$as_me: WARNING: fftw.h: proceeding with the compiler's result" >&2;}
6582 >    ac_header_preproc=yes
6583 >    ;;
6584 >  no:yes:* )
6585 >    { echo "$as_me:$LINENO: WARNING: fftw.h: present but cannot be compiled" >&5
6586 > echo "$as_me: WARNING: fftw.h: present but cannot be compiled" >&2;}
6587 >    { echo "$as_me:$LINENO: WARNING: fftw.h:     check for missing prerequisite headers?" >&5
6588 > echo "$as_me: WARNING: fftw.h:     check for missing prerequisite headers?" >&2;}
6589 >    { echo "$as_me:$LINENO: WARNING: fftw.h: see the Autoconf documentation" >&5
6590 > echo "$as_me: WARNING: fftw.h: see the Autoconf documentation" >&2;}
6591 >    { echo "$as_me:$LINENO: WARNING: fftw.h:     section \"Present But Cannot Be Compiled\"" >&5
6592 > echo "$as_me: WARNING: fftw.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6593 >    { echo "$as_me:$LINENO: WARNING: fftw.h: proceeding with the preprocessor's result" >&5
6594 > echo "$as_me: WARNING: fftw.h: proceeding with the preprocessor's result" >&2;}
6595 >    { echo "$as_me:$LINENO: WARNING: fftw.h: in the future, the compiler will take precedence" >&5
6596 > echo "$as_me: WARNING: fftw.h: in the future, the compiler will take precedence" >&2;}
6597 >    (
6598 >      cat <<\_ASBOX
6599 > ## ------------------------------ ##
6600 > ## Report this to gezelter@nd.edu ##
6601 > ## ------------------------------ ##
6602 > _ASBOX
6603 >    ) |
6604 >      sed "s/^/$as_me: WARNING:     /" >&2
6605 >    ;;
6606 > esac
6607 > echo "$as_me:$LINENO: checking for fftw.h" >&5
6608 > echo $ECHO_N "checking for fftw.h... $ECHO_C" >&6
6609 > if test "${ac_cv_header_fftw_h+set}" = set; then
6610 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6611 > else
6612 >  ac_cv_header_fftw_h=$ac_header_preproc
6613 > fi
6614 > echo "$as_me:$LINENO: result: $ac_cv_header_fftw_h" >&5
6615 > echo "${ECHO_T}$ac_cv_header_fftw_h" >&6
6616 >
6617 > fi
6618 > if test $ac_cv_header_fftw_h = yes; then
6619 >  fftw_cv_fftw_h=yes
6620 > else
6621 >  fftw_cv_fftw_h=no
6622 > fi
6623 >
6624 >
6625 >        if test "$fftw_cv_libfftw" = "no" -o "$fftw_cv_fftw_h" = "no"; then
6626 >          echo "$as_me:$LINENO: checking for fftwnd_one in -ldfftw" >&5
6627 > echo $ECHO_N "checking for fftwnd_one in -ldfftw... $ECHO_C" >&6
6628 > if test "${ac_cv_lib_dfftw_fftwnd_one+set}" = set; then
6629 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6630 > else
6631 >  ac_check_lib_save_LIBS=$LIBS
6632 > LIBS="-ldfftw  $LIBS"
6633 > cat >conftest.$ac_ext <<_ACEOF
6634 > /* confdefs.h.  */
6635 > _ACEOF
6636 > cat confdefs.h >>conftest.$ac_ext
6637 > cat >>conftest.$ac_ext <<_ACEOF
6638 > /* end confdefs.h.  */
6639 >
6640 > /* Override any gcc2 internal prototype to avoid an error.  */
6641 > #ifdef __cplusplus
6642 > extern "C"
6643 > #endif
6644 > /* We use char because int might match the return type of a gcc2
6645 >   builtin and then its argument prototype would still apply.  */
6646 > char fftwnd_one ();
6647 > #ifdef FC_DUMMY_MAIN
6648 > #ifndef FC_DUMMY_MAIN_EQ_F77
6649 > #  ifdef __cplusplus
6650 >     extern "C"
6651 > #  endif
6652 >   int FC_DUMMY_MAIN() { return 1; }
6653 > #endif
6654 > #endif
6655 > int
6656 > main ()
6657 > {
6658 > fftwnd_one ();
6659 >  ;
6660 >  return 0;
6661 > }
6662 > _ACEOF
6663 > rm -f conftest.$ac_objext conftest$ac_exeext
6664 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6665 >  (eval $ac_link) 2>conftest.er1
6666 >  ac_status=$?
6667 >  grep -v '^ *+' conftest.er1 >conftest.err
6668 >  rm -f conftest.er1
6669 >  cat conftest.err >&5
6670 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6671 >  (exit $ac_status); } &&
6672 >         { ac_try='test -z "$ac_c_werror_flag"
6673 >                         || test ! -s conftest.err'
6674 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6675 >  (eval $ac_try) 2>&5
6676 >  ac_status=$?
6677 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6678 >  (exit $ac_status); }; } &&
6679 >         { ac_try='test -s conftest$ac_exeext'
6680 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6681 >  (eval $ac_try) 2>&5
6682 >  ac_status=$?
6683 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6684 >  (exit $ac_status); }; }; then
6685 >  ac_cv_lib_dfftw_fftwnd_one=yes
6686 > else
6687 >  echo "$as_me: failed program was:" >&5
6688 > sed 's/^/| /' conftest.$ac_ext >&5
6689 >
6690 > ac_cv_lib_dfftw_fftwnd_one=no
6691 > fi
6692 > rm -f conftest.err conftest.$ac_objext \
6693 >      conftest$ac_exeext conftest.$ac_ext
6694 > LIBS=$ac_check_lib_save_LIBS
6695 > fi
6696 > echo "$as_me:$LINENO: result: $ac_cv_lib_dfftw_fftwnd_one" >&5
6697 > echo "${ECHO_T}$ac_cv_lib_dfftw_fftwnd_one" >&6
6698 > if test $ac_cv_lib_dfftw_fftwnd_one = yes; then
6699 >  fftw_cv_libdfftw=yes
6700 > else
6701 >  fftw_cv_libdfftw=no
6702 > fi
6703 >
6704 >          if test "${ac_cv_header_dfftw_h+set}" = set; then
6705 >  echo "$as_me:$LINENO: checking for dfftw.h" >&5
6706 > echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6707 > if test "${ac_cv_header_dfftw_h+set}" = set; then
6708 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6709 > fi
6710 > echo "$as_me:$LINENO: result: $ac_cv_header_dfftw_h" >&5
6711 > echo "${ECHO_T}$ac_cv_header_dfftw_h" >&6
6712 > else
6713 >  # Is the header compilable?
6714 > echo "$as_me:$LINENO: checking dfftw.h usability" >&5
6715 > echo $ECHO_N "checking dfftw.h usability... $ECHO_C" >&6
6716 > cat >conftest.$ac_ext <<_ACEOF
6717 > /* confdefs.h.  */
6718 > _ACEOF
6719 > cat confdefs.h >>conftest.$ac_ext
6720 > cat >>conftest.$ac_ext <<_ACEOF
6721 > /* end confdefs.h.  */
6722 > $ac_includes_default
6723 > #include <dfftw.h>
6724 > _ACEOF
6725 > rm -f conftest.$ac_objext
6726 > if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6727 >  (eval $ac_compile) 2>conftest.er1
6728 >  ac_status=$?
6729 >  grep -v '^ *+' conftest.er1 >conftest.err
6730 >  rm -f conftest.er1
6731 >  cat conftest.err >&5
6732 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6733 >  (exit $ac_status); } &&
6734 >         { ac_try='test -z "$ac_c_werror_flag"
6735 >                         || test ! -s conftest.err'
6736 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6737 >  (eval $ac_try) 2>&5
6738 >  ac_status=$?
6739 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6740 >  (exit $ac_status); }; } &&
6741 >         { ac_try='test -s conftest.$ac_objext'
6742 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6743 >  (eval $ac_try) 2>&5
6744 >  ac_status=$?
6745 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6746 >  (exit $ac_status); }; }; then
6747 >  ac_header_compiler=yes
6748 > else
6749 >  echo "$as_me: failed program was:" >&5
6750 > sed 's/^/| /' conftest.$ac_ext >&5
6751 >
6752 > ac_header_compiler=no
6753 > fi
6754 > rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6755 > echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6756 > echo "${ECHO_T}$ac_header_compiler" >&6
6757 >
6758 > # Is the header present?
6759 > echo "$as_me:$LINENO: checking dfftw.h presence" >&5
6760 > echo $ECHO_N "checking dfftw.h presence... $ECHO_C" >&6
6761 > cat >conftest.$ac_ext <<_ACEOF
6762 > /* confdefs.h.  */
6763 > _ACEOF
6764 > cat confdefs.h >>conftest.$ac_ext
6765 > cat >>conftest.$ac_ext <<_ACEOF
6766 > /* end confdefs.h.  */
6767 > #include <dfftw.h>
6768 > _ACEOF
6769 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6770 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6771 >  ac_status=$?
6772 >  grep -v '^ *+' conftest.er1 >conftest.err
6773 >  rm -f conftest.er1
6774 >  cat conftest.err >&5
6775 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6776 >  (exit $ac_status); } >/dev/null; then
6777 >  if test -s conftest.err; then
6778 >    ac_cpp_err=$ac_c_preproc_warn_flag
6779 >    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6780 >  else
6781 >    ac_cpp_err=
6782 >  fi
6783 > else
6784 >  ac_cpp_err=yes
6785 > fi
6786 > if test -z "$ac_cpp_err"; then
6787 >  ac_header_preproc=yes
6788 > else
6789 >  echo "$as_me: failed program was:" >&5
6790 > sed 's/^/| /' conftest.$ac_ext >&5
6791 >
6792 >  ac_header_preproc=no
6793 > fi
6794 > rm -f conftest.err conftest.$ac_ext
6795 > echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6796 > echo "${ECHO_T}$ac_header_preproc" >&6
6797 >
6798 > # So?  What about this header?
6799 > case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6800 >  yes:no: )
6801 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: accepted by the compiler, rejected by the preprocessor!" >&5
6802 > echo "$as_me: WARNING: dfftw.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
6803 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: proceeding with the compiler's result" >&5
6804 > echo "$as_me: WARNING: dfftw.h: proceeding with the compiler's result" >&2;}
6805 >    ac_header_preproc=yes
6806 >    ;;
6807 >  no:yes:* )
6808 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: present but cannot be compiled" >&5
6809 > echo "$as_me: WARNING: dfftw.h: present but cannot be compiled" >&2;}
6810 >    { echo "$as_me:$LINENO: WARNING: dfftw.h:     check for missing prerequisite headers?" >&5
6811 > echo "$as_me: WARNING: dfftw.h:     check for missing prerequisite headers?" >&2;}
6812 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: see the Autoconf documentation" >&5
6813 > echo "$as_me: WARNING: dfftw.h: see the Autoconf documentation" >&2;}
6814 >    { echo "$as_me:$LINENO: WARNING: dfftw.h:     section \"Present But Cannot Be Compiled\"" >&5
6815 > echo "$as_me: WARNING: dfftw.h:     section \"Present But Cannot Be Compiled\"" >&2;}
6816 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: proceeding with the preprocessor's result" >&5
6817 > echo "$as_me: WARNING: dfftw.h: proceeding with the preprocessor's result" >&2;}
6818 >    { echo "$as_me:$LINENO: WARNING: dfftw.h: in the future, the compiler will take precedence" >&5
6819 > echo "$as_me: WARNING: dfftw.h: in the future, the compiler will take precedence" >&2;}
6820 >    (
6821 >      cat <<\_ASBOX
6822 > ## ------------------------------ ##
6823 > ## Report this to gezelter@nd.edu ##
6824 > ## ------------------------------ ##
6825 > _ASBOX
6826 >    ) |
6827 >      sed "s/^/$as_me: WARNING:     /" >&2
6828 >    ;;
6829 > esac
6830 > echo "$as_me:$LINENO: checking for dfftw.h" >&5
6831 > echo $ECHO_N "checking for dfftw.h... $ECHO_C" >&6
6832 > if test "${ac_cv_header_dfftw_h+set}" = set; then
6833 >  echo $ECHO_N "(cached) $ECHO_C" >&6
6834 > else
6835 >  ac_cv_header_dfftw_h=$ac_header_preproc
6836 > fi
6837 > echo "$as_me:$LINENO: result: $ac_cv_header_dfftw_h" >&5
6838 > echo "${ECHO_T}$ac_cv_header_dfftw_h" >&6
6839 >
6840 > fi
6841 > if test $ac_cv_header_dfftw_h = yes; then
6842 >  fftw_cv_dfftw_h=yes
6843 > else
6844 >  fftw_cv_dfftw_h=no
6845 > fi
6846 >
6847 >
6848 >        fi
6849 >      fi
6850 >      ac_ext=c
6851 > ac_cpp='$CPP $CPPFLAGS'
6852 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6853 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6854 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6855 >
6856 >      if test "$fftw_cv_libfftw3" = "yes" -a "$fftw_cv_fftw3_h" = "yes"; then
6857 >
6858 > cat >>confdefs.h <<\_ACEOF
6859 > #define HAVE_FFTW3_H 1
6860 > _ACEOF
6861 >
6862 >        FFTW_INC_DIR="${FFTW_HOME}/include"
6863 >        FFTW_LIB_DIR="${FFTW_HOME}/lib"
6864 >        FFTW_LIBS="-lfftw3"
6865 >      else
6866 >        if test "$fftw_cv_libfftw" = "yes" -a "$fftw_cv_fftw_h" = "yes"; then
6867 >
6868 > cat >>confdefs.h <<\_ACEOF
6869 > #define HAVE_FFTW_H 1
6870 > _ACEOF
6871 >
6872 >          FFTW_INC_DIR="${FFTW_HOME}/include"
6873 >          FFTW_LIB_DIR="${FFTW_HOME}/lib"
6874 >          FFTW_LIBS="-lfftw"
6875 >        else
6876 >          if test "$fftw_cv_libdfftw" = "yes" -a "$fftw_cv_dfftw_h" = "yes"; then
6877 >
6878 > cat >>confdefs.h <<\_ACEOF
6879 > #define HAVE_DFFTW_H 1
6880 > _ACEOF
6881 >
6882 >            FFTW_INC_DIR="${FFTW_HOME}/include"
6883 >            FFTW_LIB_DIR="${FFTW_HOME}/lib"
6884 >            FFTW_LIBS="-ldfftw"
6885 >          else
6886 >            echo "$as_me:$LINENO: checking fftw in ${FFTW_HOME}" >&5
6887 > echo $ECHO_N "checking fftw in ${FFTW_HOME}... $ECHO_C" >&6
6888 >            FFTW_INC_DIR=
6889 >            FFTW_LIB_DIR=
6890 >            FFTW_LIBS=
6891 >            LDFLAGS="$FFTW_OLD_LDFLAGS"
6892 >            CPPFLAGS="$FFTW_OLD_CPPFLAGS"
6893 >            echo "$as_me:$LINENO: result: failed" >&5
6894 > echo "${ECHO_T}failed" >&6
6895 >            echo ""
6896 >            echo "*********************************************************"
6897 >            echo "* WARNING: Could not find a working FFTW installation   *"
6898 >            echo "* If you need the staticProps program to be able to     *"
6899 >            echo "* compute undulation spectra, be sure to specify a      *"
6900 >            echo "* valid fftw installation with --with-fftw=DIR          *"
6901 >            echo "*                                                       *"
6902 >            echo "* OOPSE will still work without fftw installed.         *"
6903 >            echo "*********************************************************"
6904 >            echo ""
6905 >          fi
6906          fi
6907 +      fi
6908 +
6909 +
6910 +
6911 +    fi
6912 +  fi
6913   fi
6914  
6915  
# Line 11137 | Line 11923 | case $debug in
11923   # Try to determine "good" native compiler flags if none specified on command
11924   # line
11925  
11926 < if test "$ac_test_FCFLAGS" != "set"; then
11926 > if test "$ac_test_FFLAGS" != "set"; then
11927    FCFLAGS=""
11928    case "${host_cpu}-${host_os}" in
11929  
11930    *linux*) if test "$FC" = ifc -o "$FC" = ifort; then
11931 <                    FCFLAGS="-O"
11931 >                    FCFLAGS="-O3 -ip -no-prec-div"
11932                  fi;;
11933     rs6000*-aix*)  if test "$FC" = xlf90 -o "$FC" = f90 -o "$FC" = xlf95; then
11934                      FCFLAGS="-O3 -qarch=pwrx -qtune=pwrx -qansialias -w"
# Line 11163 | Line 11949 | if test "$ac_test_FCFLAGS" != "set"; then
11949     *darwin*)
11950          if test "$FC" = f90 -o "$FC" = xlf90 -o "$FC" = xlf95; then
11951                  FCFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto"
11952 +        fi
11953 +        if test "$FC" = ifort; then
11954 +                FCFLAGS="-O3 -ip -no-prec-dev -mdynamic-no-pic"
11955          fi;;
11956    esac
11957  
# Line 11322 | Line 12111 | if test "$ac_test_CFLAGS" != "set"; then
12111     *darwin*)
12112          if test "$CC" = xlc -o "$CC" = cc; then
12113                  CFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
12114 +        fi
12115 +        if test "$CC" = icc; then
12116 +                CFLAGS="-O3 -ip -no-prec-div -mdynamic-no-pic"
12117          fi;;
12118    esac
12119  
# Line 11776 | Line 12568 | if test "$ac_test_CXXFLAGS" != "set"; then
12568     *darwin*)
12569          if test "$CXX" = xlc++ -o "$CXX" = xlC ; then
12570                  CXXFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
12571 +        fi
12572 +        if test "$CXX" = icpc; then
12573 +                CXXFLAGS="-O3 -ip -no-prec-div -mdynamic-no-pic"
12574          fi;;
12575    esac
12576  
# Line 12191 | Line 12986 | MPI_INC_DIR="$MPI/include"
12986  
12987  
12988  
12989 + ac_ext=c
12990 + ac_cpp='$CPP $CPPFLAGS'
12991 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
12992 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
12993 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
12994 +
12995   echo "$as_me:$LINENO: checking for mpi.h" >&5
12996   echo $ECHO_N "checking for mpi.h... $ECHO_C" >&6
12997   have_mpi_h=0
12998   rm -f conftest*
12999 < echo '#include <mpi.h>' > conftest.cc
13000 < if ${CXX} -I${MPI_INC_DIR} -c conftest.cc 2>&1 ; then
12999 > echo '#include <mpi.h>' > conftest.c
13000 > if ${CC} -I${MPI_INC_DIR} -c conftest.c 2>&1 ; then
13001          echo "$as_me:$LINENO: result: yes" >&5
13002   echo "${ECHO_T}yes" >&6
13003          have_mpi_h=1
# Line 12219 | Line 13020 | echo $ECHO_N "checking whether mpif.h is usable... $EC
13020  
13021   echo "$as_me:$LINENO: checking whether mpif.h is usable" >&5
13022   echo $ECHO_N "checking whether mpif.h is usable... $ECHO_C" >&6
13023 +
13024 +
13025 + ac_ext=${FC_SRCEXT-f}
13026 + ac_compile='$FC -c $FCFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext >&5'
13027 + ac_link='$FC -o conftest$ac_exeext $FCFLAGS $LDFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext $LIBS >&5'
13028 + ac_compiler_gnu=$ac_cv_fc_compiler_gnu
13029 +
13030 + ac_save_ext=$ac_ext
13031 + ac_ext=F90
13032 + ac_save_FCFLAGS=$FCFLAGS
13033   have_mpif_h=0
13034   rm -f conftest*
13035   cat >conftest.$ac_ext <<EOF
# Line 12248 | Line 13059 | fi
13059   _ACEOF
13060  
13061   fi
13062 + FCFLAGS=$ac_save_FCFLAGS
13063 + ac_ext=$ac_save_ext
13064 + ac_ext=c
13065 + ac_cpp='$CPP $CPPFLAGS'
13066 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
13067 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
13068 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
13069  
13070 +
13071   ac_ext=c
13072   ac_cpp='$CPP $CPPFLAGS'
13073   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
# Line 12256 | Line 13075 | ac_save_LDFLAGS=$LDFLAGS
13075   ac_compiler_gnu=$ac_cv_c_compiler_gnu
13076  
13077   ac_save_LDFLAGS=$LDFLAGS
13078 < LDFLAGS="${LDFLAGS} -L${MPI_LIB_DIR} "
13078 > LDFLAGS="-L${MPI_LIB_DIR} ${LDFLAGS} "
13079  
13080   if test x = x"$MPI_LIB"; then
13081          echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
# Line 12336 | Line 13155 | fi
13155   fi
13156  
13157   fi
13158 + $as_unset ac_cv_lib_mpich_MPI_Init
13159   if test x = x"$MPI_LIB"; then
13160 <        echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
13161 < echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
13162 < if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
13160 >        echo "$as_me:$LINENO: checking for MPI_Init in -lpmpich" >&5
13161 > echo $ECHO_N "checking for MPI_Init in -lpmpich... $ECHO_C" >&6
13162 > if test "${ac_cv_lib_pmpich_MPI_Init+set}" = set; then
13163    echo $ECHO_N "(cached) $ECHO_C" >&6
13164   else
13165    ac_check_lib_save_LIBS=$LIBS
13166 < LIBS="-lmpi  $LIBS"
13166 > LIBS="-lpmpich -lmpich -lpmpich -lmpich $LIBS"
13167   cat >conftest.$ac_ext <<_ACEOF
13168   /* confdefs.h.  */
13169   _ACEOF
# Line 12396 | Line 13216 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
13216    ac_status=$?
13217    echo "$as_me:$LINENO: \$? = $ac_status" >&5
13218    (exit $ac_status); }; }; then
13219 <  ac_cv_lib_mpi_MPI_Init=yes
13219 >  ac_cv_lib_pmpich_MPI_Init=yes
13220   else
13221    echo "$as_me: failed program was:" >&5
13222   sed 's/^/| /' conftest.$ac_ext >&5
13223  
13224 < ac_cv_lib_mpi_MPI_Init=no
13224 > ac_cv_lib_pmpich_MPI_Init=no
13225   fi
13226   rm -f conftest.err conftest.$ac_objext \
13227        conftest$ac_exeext conftest.$ac_ext
13228   LIBS=$ac_check_lib_save_LIBS
13229   fi
13230 < echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
13231 < echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
13232 < if test $ac_cv_lib_mpi_MPI_Init = yes; then
13233 <  MPI_LIB="-lmpi"
13230 > echo "$as_me:$LINENO: result: $ac_cv_lib_pmpich_MPI_Init" >&5
13231 > echo "${ECHO_T}$ac_cv_lib_pmpich_MPI_Init" >&6
13232 > if test $ac_cv_lib_pmpich_MPI_Init = yes; then
13233 >  MPI_LIB="-lpmpich -lmpich -lpmpich -lmpich"
13234   fi
13235  
13236   fi
12417 $as_unset ac_cv_lib_mpi_MPI_Init
13237   if test x = x"$MPI_LIB"; then
13238          echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
13239   echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
# Line 12422 | Line 13241 | else
13241    echo $ECHO_N "(cached) $ECHO_C" >&6
13242   else
13243    ac_check_lib_save_LIBS=$LIBS
13244 < LIBS="-lmpi "-llam" $LIBS"
13244 > LIBS="-lmpi  $LIBS"
13245   cat >conftest.$ac_ext <<_ACEOF
13246   /* confdefs.h.  */
13247   _ACEOF
# Line 12489 | Line 13308 | if test $ac_cv_lib_mpi_MPI_Init = yes; then
13308   echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
13309   echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
13310   if test $ac_cv_lib_mpi_MPI_Init = yes; then
13311 <  MPI_LIB="-lmpi -llam"
13311 >  MPI_LIB="-lmpi"
13312   fi
13313  
13314   fi
13315 < $as_unset ac_cv_lib_mpich_MPI_Init
13315 > $as_unset ac_cv_lib_mpi_MPI_Init
13316   if test x = x"$MPI_LIB"; then
13317 <        echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
13318 < echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
13319 < if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
13317 >        echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
13318 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
13319 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
13320    echo $ECHO_N "(cached) $ECHO_C" >&6
13321   else
13322    ac_check_lib_save_LIBS=$LIBS
13323 < LIBS="-lmpich "-lpmpich" $LIBS"
13323 > LIBS="-lmpi -llam $LIBS"
13324   cat >conftest.$ac_ext <<_ACEOF
13325   /* confdefs.h.  */
13326   _ACEOF
# Line 12554 | Line 13373 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
13373    ac_status=$?
13374    echo "$as_me:$LINENO: \$? = $ac_status" >&5
13375    (exit $ac_status); }; }; then
13376 <  ac_cv_lib_mpich_MPI_Init=yes
13376 >  ac_cv_lib_mpi_MPI_Init=yes
13377   else
13378    echo "$as_me: failed program was:" >&5
13379   sed 's/^/| /' conftest.$ac_ext >&5
13380  
13381 < ac_cv_lib_mpich_MPI_Init=no
13381 > ac_cv_lib_mpi_MPI_Init=no
13382   fi
13383   rm -f conftest.err conftest.$ac_objext \
13384        conftest$ac_exeext conftest.$ac_ext
13385   LIBS=$ac_check_lib_save_LIBS
13386   fi
13387 < echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
13388 < echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
13389 < if test $ac_cv_lib_mpich_MPI_Init = yes; then
13390 <  MPI_LIB="-lmpich -lpmpich"
13387 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
13388 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
13389 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
13390 >  MPI_LIB="-lmpi -llam"
13391   fi
13392  
13393   fi
12575
13394   $as_unset ac_cv_lib_mpi_MPI_Init
13395   if test x = x"$MPI_LIB"; then
13396   echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
# Line 12680 | Line 13498 | fi
13498  
13499  
13500  
12683 USE_CGAL=no
12684 cgal_makefile=auto
13501  
12686 # Check whether --with-cgal-makefile or --without-cgal-makefile was given.
12687 if test "${with_cgal_makefile+set}" = set; then
12688  withval="$with_cgal_makefile"
12689  cgal_makefile="$withval"
12690 fi;
12691
12692 if test "x$cgal_makefile" != xno; then
12693
12694  if test "x$cgal_makefile" = xauto -a "x$CGAL_MAKEFILE" != x; then
12695    cgal_makefile="$CGAL_MAKEFILE"
12696  fi
12697
12698  echo "$as_me:$LINENO: checking for cgal_makefile: $cgal_makefile" >&5
12699 echo $ECHO_N "checking for cgal_makefile: $cgal_makefile... $ECHO_C" >&6
12700
12701  if test -f "$cgal_makefile"; then
12702
12703    cat >config.tmp.Makefile <<EOF
12704 include $cgal_makefile
12705 default:
12706        @echo CGAL_OS_COMPILER=\"\${CGAL_OS_COMPILER}\" >config.tmp.cgalvariables
12707        @echo CGAL_INCLDIR=\"\${CGAL_INCL_DIR}\" >>config.tmp.cgalvariables
12708        @echo CGAL_INCLCONFDIR=\"\${CGAL_INCL_CONF_DIR}\" >>config.tmp.cgalvariables
12709        @echo CGAL_LIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
12710        @echo CGAL_RLIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
12711        @echo CGAL_CXXFLAGS=\"\${CGAL_CXXFLAGS}\" >>config.tmp.cgalvariables
12712        @echo GMP_INCLDIR=\"\${GMP_INCL_DIR}\" >>config.tmp.cgalvariables
12713        @echo GMP_LIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
12714        @echo GMP_RLIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
12715        @echo LEDA_INCLDIR=\"\${LEDA_INCL_DIR}\" >>config.tmp.cgalvariables
12716        @echo LEDA_LIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
12717        @echo LEDA_RLIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
12718 EOF
12719
12720    make -s -f config.tmp.Makefile
12721    . config.tmp.cgalvariables
12722
12723    rm -f config.tmp.Makefile config.tmp.cgalvariables
12724
12725    if test "x$CGAL_INCLDIR" = "x"; then
12726      CGAL_INCLDIR=""
12727    fi
12728
12729    if test "x$CGAL_LIBDIR" = "x"; then
12730      CGAL_LIBDIR=""
12731    fi
12732
12733    if test "x$CGAL_RLIBDIR" = "x"; then
12734      CGAL_RLIBDIR=""
12735    fi
12736
12737    if test "x$LEDA_INCLDIR" = "x"; then
12738      LEDA_INCLDIR=""
12739    fi
12740
12741    if test "x$LEDA_LIBDIR" = "x"; then
12742      LEDA_LIBDIR=""
12743    fi
12744
12745    if test "x$LEDA_RLIBDIR" = "x"; then
12746      LEDA_RLIBDIR=""
12747    fi
12748
12749    if test "x$GMP_INCLDIR" = "x"; then
12750      GMP_INCLDIR=""
12751    fi
12752
12753    if test "x$GMP_LIBDIR" = "x"; then
12754      GMP_LIBDIR=""
12755    fi
12756
12757    if test "x$GMP_RLIBDIR" = "x"; then
12758      GMP_RLIBDIR=""
12759    fi
12760
12761    echo "$as_me:$LINENO: result: CGAL_OS_COMPILER=   $CGAL_OS_COMPILER" >&5
12762 echo "${ECHO_T}CGAL_OS_COMPILER=   $CGAL_OS_COMPILER" >&6
12763    echo "$as_me:$LINENO: result: CGAL_INCLDIR=       $CGAL_INCLDIR" >&5
12764 echo "${ECHO_T}CGAL_INCLDIR=       $CGAL_INCLDIR" >&6
12765    echo "$as_me:$LINENO: result: CGAL_INCLCONFDIR=   $CGAL_INCLCONFDIR" >&5
12766 echo "${ECHO_T}CGAL_INCLCONFDIR=   $CGAL_INCLCONFDIR" >&6
12767    echo "$as_me:$LINENO: result: CGAL_LIBDIR=        $CGAL_LIBDIR" >&5
12768 echo "${ECHO_T}CGAL_LIBDIR=        $CGAL_LIBDIR" >&6
12769    echo "$as_me:$LINENO: result: CGAL_CXXFLAGS=      $CGAL_CXXFLAGS" >&5
12770 echo "${ECHO_T}CGAL_CXXFLAGS=      $CGAL_CXXFLAGS" >&6
12771    echo "$as_me:$LINENO: result: LEDA_INCLDIR=       $LEDA_INCLDIR" >&5
12772 echo "${ECHO_T}LEDA_INCLDIR=       $LEDA_INCLDIR" >&6
12773    echo "$as_me:$LINENO: result: LEDA_LIBDIR=        $LEDA_LIBDIR" >&5
12774 echo "${ECHO_T}LEDA_LIBDIR=        $LEDA_LIBDIR" >&6
12775    echo "$as_me:$LINENO: result: GMP_INCLDIR=        $GMP_INCLDIR" >&5
12776 echo "${ECHO_T}GMP_INCLDIR=        $GMP_INCLDIR" >&6
12777    echo "$as_me:$LINENO: result: GMP_LIBDIR=         $GMP_LIBDIR" >&5
12778 echo "${ECHO_T}GMP_LIBDIR=         $GMP_LIBDIR" >&6
12779
12780    ac_ext=cc
12781 ac_cpp='$CXXCPP $CPPFLAGS'
12782 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
12783 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
12784 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
12785
12786    save_CXXFLAGS="$CXXFLAGS"
12787    CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
12788    if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
12789  echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
12790 echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
12791 if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
12792  echo $ECHO_N "(cached) $ECHO_C" >&6
12793 fi
12794 echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
12795 echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
12796 else
12797  # Is the header compilable?
12798 echo "$as_me:$LINENO: checking CGAL/Cartesian.h usability" >&5
12799 echo $ECHO_N "checking CGAL/Cartesian.h usability... $ECHO_C" >&6
12800 cat >conftest.$ac_ext <<_ACEOF
12801 /* confdefs.h.  */
12802 _ACEOF
12803 cat confdefs.h >>conftest.$ac_ext
12804 cat >>conftest.$ac_ext <<_ACEOF
12805 /* end confdefs.h.  */
12806 $ac_includes_default
12807 #include <CGAL/Cartesian.h>
12808 _ACEOF
12809 rm -f conftest.$ac_objext
12810 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
12811  (eval $ac_compile) 2>conftest.er1
12812  ac_status=$?
12813  grep -v '^ *+' conftest.er1 >conftest.err
12814  rm -f conftest.er1
12815  cat conftest.err >&5
12816  echo "$as_me:$LINENO: \$? = $ac_status" >&5
12817  (exit $ac_status); } &&
12818         { ac_try='test -z "$ac_cxx_werror_flag"
12819                         || test ! -s conftest.err'
12820  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12821  (eval $ac_try) 2>&5
12822  ac_status=$?
12823  echo "$as_me:$LINENO: \$? = $ac_status" >&5
12824  (exit $ac_status); }; } &&
12825         { ac_try='test -s conftest.$ac_objext'
12826  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12827  (eval $ac_try) 2>&5
12828  ac_status=$?
12829  echo "$as_me:$LINENO: \$? = $ac_status" >&5
12830  (exit $ac_status); }; }; then
12831  ac_header_compiler=yes
12832 else
12833  echo "$as_me: failed program was:" >&5
12834 sed 's/^/| /' conftest.$ac_ext >&5
12835
12836 ac_header_compiler=no
12837 fi
12838 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
12839 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
12840 echo "${ECHO_T}$ac_header_compiler" >&6
12841
12842 # Is the header present?
12843 echo "$as_me:$LINENO: checking CGAL/Cartesian.h presence" >&5
12844 echo $ECHO_N "checking CGAL/Cartesian.h presence... $ECHO_C" >&6
12845 cat >conftest.$ac_ext <<_ACEOF
12846 /* confdefs.h.  */
12847 _ACEOF
12848 cat confdefs.h >>conftest.$ac_ext
12849 cat >>conftest.$ac_ext <<_ACEOF
12850 /* end confdefs.h.  */
12851 #include <CGAL/Cartesian.h>
12852 _ACEOF
12853 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
12854  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
12855  ac_status=$?
12856  grep -v '^ *+' conftest.er1 >conftest.err
12857  rm -f conftest.er1
12858  cat conftest.err >&5
12859  echo "$as_me:$LINENO: \$? = $ac_status" >&5
12860  (exit $ac_status); } >/dev/null; then
12861  if test -s conftest.err; then
12862    ac_cpp_err=$ac_cxx_preproc_warn_flag
12863    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
12864  else
12865    ac_cpp_err=
12866  fi
12867 else
12868  ac_cpp_err=yes
12869 fi
12870 if test -z "$ac_cpp_err"; then
12871  ac_header_preproc=yes
12872 else
12873  echo "$as_me: failed program was:" >&5
12874 sed 's/^/| /' conftest.$ac_ext >&5
12875
12876  ac_header_preproc=no
12877 fi
12878 rm -f conftest.err conftest.$ac_ext
12879 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
12880 echo "${ECHO_T}$ac_header_preproc" >&6
12881
12882 # So?  What about this header?
12883 case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
12884  yes:no: )
12885    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&5
12886 echo "$as_me: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
12887    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&5
12888 echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&2;}
12889    ac_header_preproc=yes
12890    ;;
12891  no:yes:* )
12892    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&5
12893 echo "$as_me: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&2;}
12894    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&5
12895 echo "$as_me: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&2;}
12896    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&5
12897 echo "$as_me: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&2;}
12898    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&5
12899 echo "$as_me: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&2;}
12900    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&5
12901 echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&2;}
12902    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&5
12903 echo "$as_me: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&2;}
12904    (
12905      cat <<\_ASBOX
12906 ## ------------------------------ ##
12907 ## Report this to gezelter@nd.edu ##
12908 ## ------------------------------ ##
12909 _ASBOX
12910    ) |
12911      sed "s/^/$as_me: WARNING:     /" >&2
12912    ;;
12913 esac
12914 echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
12915 echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
12916 if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
12917  echo $ECHO_N "(cached) $ECHO_C" >&6
12918 else
12919  ac_cv_header_CGAL_Cartesian_h=$ac_header_preproc
12920 fi
12921 echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
12922 echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
12923
12924 fi
12925 if test $ac_cv_header_CGAL_Cartesian_h = yes; then
12926  cgal=yes
12927 else
12928  cgal=no
12929 fi
12930
12931
12932    CXXFLAGS="$save_CXXFLAGS"
12933
12934    if test "x$cgal" = xyes; then
12935      echo "$as_me:$LINENO: checking for CGAL version" >&5
12936 echo $ECHO_N "checking for CGAL version... $ECHO_C" >&6
12937      LOCATION=${CGAL_INCLDIR}
12938      LOCATION=${LOCATION:-/usr/include}
12939      if test -f $LOCATION/CGAL/version.h; then
12940        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/version.h | sed 's/[^0-9\.]*//g'`
12941      else
12942        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/config.h | sed 's/[^0-9\.]*//g'`
12943      fi
12944      if echo $CGAL_VERSION | grep -q "^[3456789]"; then
12945        echo "$as_me:$LINENO: result: ($CGAL_VERSION) yes" >&5
12946 echo "${ECHO_T}($CGAL_VERSION) yes" >&6
12947      else
12948        echo "$as_me:$LINENO: result: ($CGAL_VERSION) no" >&5
12949 echo "${ECHO_T}($CGAL_VERSION) no" >&6
12950        cgal=no
12951      fi
12952    fi
12953
12954    if test "x$cgal" = xyes; then
12955      CGAL_LIBS="-lCGAL"
12956      echo "$as_me:$LINENO: checking whether CGAL uses LEDA" >&5
12957 echo $ECHO_N "checking whether CGAL uses LEDA... $ECHO_C" >&6
12958      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_LEDA; then
12959        CGAL_USES_LEDA=yes
12960        echo "$as_me:$LINENO: result: yes" >&5
12961 echo "${ECHO_T}yes" >&6
12962        CGAL_DEFINES="-DCGAL_USE_LEDA -DLEDA_PREFIX"
12963      else
12964        echo "$as_me:$LINENO: result: no" >&5
12965 echo "${ECHO_T}no" >&6
12966        CGAL_USES_LEDA=no
12967      fi
12968
12969      echo "$as_me:$LINENO: checking whether CGAL uses GMP" >&5
12970 echo $ECHO_N "checking whether CGAL uses GMP... $ECHO_C" >&6
12971      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_GMP; then
12972        CGAL_USES_GMP=yes
12973        echo "$as_me:$LINENO: result: yes" >&5
12974 echo "${ECHO_T}yes" >&6
12975        CGAL_DEFINES="-DCGAL_USE_GMP $CGAL_DEFINES"
12976      else
12977        echo "$as_me:$LINENO: result: no" >&5
12978 echo "${ECHO_T}no" >&6
12979        CGAL_USES_GMP=no
12980      fi
12981
12982      CGAL_LIBS="$CGAL_LIBS -lm"
12983
12984      CGAL_CXXFLAGS="-ftemplate-depth-50"
12985
12986      echo "$as_me:$LINENO: result: CGAL_USES_LEDA=     $CGAL_USES_LEDA" >&5
12987 echo "${ECHO_T}CGAL_USES_LEDA=     $CGAL_USES_LEDA" >&6
12988      echo "$as_me:$LINENO: result: CGAL_USES_GMP =     $CGAL_USES_GMP" >&5
12989 echo "${ECHO_T}CGAL_USES_GMP =     $CGAL_USES_GMP" >&6
12990      echo "$as_me:$LINENO: result: CGAL_INCLDIR  =     $CGAL_INCLDIR" >&5
12991 echo "${ECHO_T}CGAL_INCLDIR  =     $CGAL_INCLDIR" >&6
12992      echo "$as_me:$LINENO: result: CGAL_LIBDIR   =     $CGAL_LIBDIR" >&5
12993 echo "${ECHO_T}CGAL_LIBDIR   =     $CGAL_LIBDIR" >&6
12994      echo "$as_me:$LINENO: result: CGAL_DEFINES  =     $CGAL_DEFINES" >&5
12995 echo "${ECHO_T}CGAL_DEFINES  =     $CGAL_DEFINES" >&6
12996      echo "$as_me:$LINENO: result: CGAL_CXXFLAGS =     $CGAL_CXXFLAGS" >&5
12997 echo "${ECHO_T}CGAL_CXXFLAGS =     $CGAL_CXXFLAGS" >&6
12998      echo "$as_me:$LINENO: result: CGAL_LIBS     =     $CGAL_LIBS" >&5
12999 echo "${ECHO_T}CGAL_LIBS     =     $CGAL_LIBS" >&6
13000    fi
13001
13002    if test "x$cgal" = xyes; then
13003      save_LIBS="$LIBS"
13004      LIBS="$LIBS -L$CGAL_LIBDIR"
13005      if test "x$CGAL_USES_LEDA" = xyes; then
13006        LIBS="-lL $LIBS -L$LEDA_LIBDIR"
13007      fi
13008      # if test "x$CGAL_USES_GMP" = xyes; then
13009      #   LIBS="-lgmp $LIBS $GMP_LIBDIR"
13010      # fi
13011      echo "$as_me:$LINENO: checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL" >&5
13012 echo $ECHO_N "checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL... $ECHO_C" >&6
13013 save_CXXFLAGS_CHECK_CXX_LIB="$CXXFLAGS"
13014 CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
13015 save_LIBS_CHECK_CXX_LIB="$LIBS"
13016 LIBS="-lCGAL  $LIBS"
13017 cat >conftest.$ac_ext <<_ACEOF
13018 /* confdefs.h.  */
13019 _ACEOF
13020 cat confdefs.h >>conftest.$ac_ext
13021 cat >>conftest.$ac_ext <<_ACEOF
13022 /* end confdefs.h.  */
13023 #include <CGAL/Cartesian.h>
13024 #ifdef FC_DUMMY_MAIN
13025 #ifndef FC_DUMMY_MAIN_EQ_F77
13026 #  ifdef __cplusplus
13027     extern "C"
13028 #  endif
13029   int FC_DUMMY_MAIN() { return 1; }
13030 #endif
13031 #endif
13032 int
13033 main ()
13034 {
13035 ::CGAL::Cartesian<int>::Point_2 P
13036  ;
13037  return 0;
13038 }
13039 _ACEOF
13040 rm -f conftest.$ac_objext conftest$ac_exeext
13041 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
13042  (eval $ac_link) 2>conftest.er1
13043  ac_status=$?
13044  grep -v '^ *+' conftest.er1 >conftest.err
13045  rm -f conftest.er1
13046  cat conftest.err >&5
13047  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13048  (exit $ac_status); } &&
13049         { ac_try='test -z "$ac_cxx_werror_flag"
13050                         || test ! -s conftest.err'
13051  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13052  (eval $ac_try) 2>&5
13053  ac_status=$?
13054  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13055  (exit $ac_status); }; } &&
13056         { ac_try='test -s conftest$ac_exeext'
13057  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13058  (eval $ac_try) 2>&5
13059  ac_status=$?
13060  echo "$as_me:$LINENO: \$? = $ac_status" >&5
13061  (exit $ac_status); }; }; then
13062  echo "$as_me:$LINENO: result: yes" >&5
13063 echo "${ECHO_T}yes" >&6
13064 cgal=yes
13065 else
13066  echo "$as_me: failed program was:" >&5
13067 sed 's/^/| /' conftest.$ac_ext >&5
13068
13069 echo "$as_me:$LINENO: result: no" >&5
13070 echo "${ECHO_T}no" >&6
13071 cgal=no
13072 fi
13073 rm -f conftest.err conftest.$ac_objext \
13074      conftest$ac_exeext conftest.$ac_ext
13075 CXXFLAGS="$save_CXXFLAGS_CHECK_CXX_LIB"
13076 LIBS="$save_LIBS_CHECK_CXX_LIB"
13077      LIBS="$save_LIBS"
13078    fi
13079
13080  fi
13081  ac_ext=c
13082 ac_cpp='$CPP $CPPFLAGS'
13083 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
13084 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
13085 ac_compiler_gnu=$ac_cv_c_compiler_gnu
13086
13087
13088 fi
13089
13090 if test "x$cgal" = xyes; then
13091  USE_CGAL=yes
13092
13093 cat >>confdefs.h <<\_ACEOF
13094 #define HAVE_CGAL 1
13095 _ACEOF
13096
13097
13098 cat >>confdefs.h <<_ACEOF
13099 #define CGAL_VERSION $CGAL_VERSION
13100 _ACEOF
13101
13102  if ! echo $CGAL_VERSION | grep -q "^3.0"; then
13103    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
13104 echo "$as_me: WARNING: *****************************************************" >&2;}
13105    { echo "$as_me:$LINENO: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&5
13106 echo "$as_me: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&2;}
13107    { echo "$as_me:$LINENO: WARNING: *** supported versions. It may still work though. ***" >&5
13108 echo "$as_me: WARNING: *** supported versions. It may still work though. ***" >&2;}
13109    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
13110 echo "$as_me: WARNING: *****************************************************" >&2;}
13111  fi
13112 else
13113   if test "x$cgal_makefile" != xno; then
13114    echo "$as_me:$LINENO: result: No CGAL support. These are not the droids you want." >&5
13115 echo "${ECHO_T}No CGAL support. These are not the droids you want." >&6
13116  fi
13117  CGAL_INCLDIR=
13118  CGAL_LIBDIR=
13119  CGAL_RLIBDIR=
13120  CGAL_DEFINES=
13121  CGAL_CXXFLAGS=
13122  CGAL_LIBS=
13123 fi
13124
13125
13126 CGAL_INC_DIR="${CGAL_INCLDIR} ${CGAL_INCLCONFDIR}"
13127
13128 CGAL_LIB_DIR=${CGAL_LIBDIR}
13129
13130 CGAL_RLIB_DIR=${CGAL_RLIBDIR}
13131
13132
13133
13134
13135
13136
13137
13502   # Check whether --enable-doxygen or --disable-doxygen was given.
13503   if test "${enable_doxygen+set}" = set; then
13504    enableval="$enable_doxygen"
# Line 13288 | Line 13652 | fi
13652  
13653  
13654  
13655 <                                        ac_config_files="$ac_config_files make/Makefile src/utils/Makefile src/applications/nanoRodBuilder/Makefile scripts/filepp"
13655 >                                                  ac_config_files="$ac_config_files make/Makefile src/utils/Makefile src/math/Makefile src/applications/nanoRodBuilder/Makefile scripts/filepp"
13656  
13657  
13658   cat >confcache <<\_ACEOF
# Line 13821 | Line 14185 | do
14185    # Handling of arguments.
14186    "make/Makefile" ) CONFIG_FILES="$CONFIG_FILES make/Makefile" ;;
14187    "src/utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/utils/Makefile" ;;
14188 +  "src/math/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/math/Makefile" ;;
14189    "src/applications/nanoRodBuilder/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/applications/nanoRodBuilder/Makefile" ;;
14190    "scripts/filepp" ) CONFIG_FILES="$CONFIG_FILES scripts/filepp" ;;
14191    "src/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/getopt.h:src/utils/gnugetopt.h" ;;
# Line 13920 | Line 14285 | s,@debug@,$debug,;t t
14285   s,@host_os@,$host_os,;t t
14286   s,@PROGNAME@,$PROGNAME,;t t
14287   s,@debug@,$debug,;t t
14288 + s,@USE_SINGLE_PRECISION@,$USE_SINGLE_PRECISION,;t t
14289   s,@CXX@,$CXX,;t t
14290   s,@CXXFLAGS@,$CXXFLAGS,;t t
14291   s,@LDFLAGS@,$LDFLAGS,;t t
# Line 13957 | Line 14323 | s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14323   s,@MODDIRFLAG@,$MODDIRFLAG,;t t
14324   s,@F90MODINCSPEC@,$F90MODINCSPEC,;t t
14325   s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14326 + s,@ZLIB_INC_DIR@,$ZLIB_INC_DIR,;t t
14327 + s,@ZLIB_LIB_DIR@,$ZLIB_LIB_DIR,;t t
14328 + s,@ZLIB@,$ZLIB,;t t
14329 + s,@FFTW_INC_DIR@,$FFTW_INC_DIR,;t t
14330 + s,@FFTW_LIB_DIR@,$FFTW_LIB_DIR,;t t
14331 + s,@FFTW_LIBS@,$FFTW_LIBS,;t t
14332   s,@LIBOBJS@,$LIBOBJS,;t t
14333   s,@POW_LIB@,$POW_LIB,;t t
14334   s,@CXXCPP@,$CXXCPP,;t t
# Line 13967 | Line 14339 | s,@USE_MPI@,$USE_MPI,;t t
14339   s,@MPI_LIB@,$MPI_LIB,;t t
14340   s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
14341   s,@USE_MPI@,$USE_MPI,;t t
13970 s,@USE_CGAL@,$USE_CGAL,;t t
13971 s,@CGAL_INC_DIR@,$CGAL_INC_DIR,;t t
13972 s,@CGAL_LIB_DIR@,$CGAL_LIB_DIR,;t t
13973 s,@CGAL_RLIB_DIR@,$CGAL_RLIB_DIR,;t t
13974 s,@CGAL_DEFINES@,$CGAL_DEFINES,;t t
13975 s,@CGAL_CXXFLAGS@,$CGAL_CXXFLAGS,;t t
13976 s,@CGAL_LIBS@,$CGAL_LIBS,;t t
14342   s,@DOXYGEN@,$DOXYGEN,;t t
14343   s,@DOT@,$DOT,;t t
14344   s,@DOC@,$DOC,;t t
# Line 14226 | Line 14591 | s,@INSTALL@,$ac_INSTALL,;t t
14591    case $ac_file in
14592      make/Makefile ) chmod 0755 scripts/* ;;
14593      src/utils/Makefile ) chmod 0755 scripts/* ;;
14594 +    src/math/Makefile ) chmod 0755 scripts/* ;;
14595      src/applications/nanoRodBuilder/Makefile ) chmod 0755 scripts/* ;;
14596      scripts/filepp ) chmod 0755 scripts/* ;;
14597    esac

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines